Jack::JackRunnableInterface Class Referenceabstract

The base class for runnable objects, that have an Init and Execute method to be called in a thread. More...

`#include <JackThread.h>`

Inheritance diagram for Jack::JackRunnableInterface:

## Public Member Functions

virtual bool | Init ()
virtual bool | Execute ()=0

## Detailed Description

The base class for runnable objects, that have an Init and Execute method to be called in a thread.

Definition at line 34 of file JackThread.h.

## Member Function Documentation

virtual bool Jack::JackRunnableInterface::Init | ( |  | ) |

inline virtual

Called once when the thread is started

Reimplemented in Jack::JackNetExtSlave, Jack::JackAlsaAdapter, Jack::JackClient, Jack::JackThreadedDriver, Jack::JackWinNamedPipeServerChannel, Jack::JackCoreMidiDriver, Jack::JackWaitThreadedDriver, Jack::JackALSARawMidiDriver, Jack::JackSocketServerChannel, Jack::JackCoreMidiOutputPort, Jack::JackWinMMEOutputPort, Jack::JackNetAdapter, Jack::JackSocketClientChannel, and Jack::JackWinNamedPipeClientChannel.

Definition at line 46 of file JackThread.h.

The documentation for this class was generated from the following file:

- JackThread.h